HttpClientType (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.net.httpclient

## Class HttpClientType

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - net.sf.antcontrib.net.httpclient.HttpClientType

- All Implemented Interfaces:
    java.lang.Cloneable

      public class HttpClientType
      extends org.apache.tools.ant.types.DataType

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.DataType

      `checked, ref`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpClientType(org.apache.tools.ant.Project p)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientParams` | `createClientParams()`
    `HostConfig` | `createHostConfig()`
    `HttpStateType` | `createHttpState()`
    `org.apache.commons.httpclient.HttpClient` | `getClient()`
    `protected HttpClientType` | `getRef()`
    `void` | `setStateRefId(java.lang.String stateRefId)`

    - ### Methods inherited from class org.apache.tools.ant.types.DataType

      `checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpClientType

          public HttpClientType(org.apache.tools.ant.Project p)

  - ### Method Detail

    - #### getClient

          public org.apache.commons.httpclient.HttpClient getClient()

    - #### setStateRefId

          public void setStateRefId(java.lang.String stateRefId)

    - #### getRef

          protected HttpClientType getRef()

    - #### createClientParams

          public ClientParams createClientParams()

    - #### createHttpState

          public HttpStateType createHttpState()

    - #### createHostConfig

          public HostConfig createHostConfig()